package com.tofly.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.base.entity.Menu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MenuMapper extends BaseMapper<Menu> {

    List<Menu> getMenuListByUser(@Param("id") Long id, @Param("platform") String platform);

    List<Menu> listMenusByRoleId(Long roleId);

    List<Menu> getMenuListByUserId(@Param("id") Long id);
}
